/** Shopify CDN: Minification failed

Line 42:8 Expected identifier but found whitespace
Line 42:10 Unexpected "{"
Line 42:19 Expected ":"
Line 68:19 Expected identifier but found whitespace
Line 68:21 Unexpected "{"
Line 68:30 Expected ":"

**/
.warranty-portal-section {
  padding: 60px 20px;
}

.warranty-container {
  max-width: 1200px;
  margin: 0 auto;
}

.warranty-section-title {
  text-align: center;
  font-size: 32px;
  font-weight: 600;
}

.warranty-columns {
  display: flex;
}

.warranty-column {
  background: white;
  border-radius: 3px;
  border: 1px solid #CECECE;
  padding: 30px;
}

/* Login Form Styles */
.form-title {
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 20px;
  color: {{ section.settings.text_color }};
  text-transform: initial;
  letter-spacing: initial;
}

.form-group {
  margin-bottom: 20px;
}

.form-group label {
  display: block;
  margin-bottom: 8px;
  font-weight: 500;
}

.form-group input {
  width: 100%;
  padding: 12px 15px;
  border: 1px solid #ddd;
  border-radius: 6px;
  font-size: 16px;
  font-family: var(--InstrumentSans);
  font-style: normal;
}

button {
  background-color: {{ section.settings.primary_color }};
  color: white;
  border: none;
  border-radius: 6px;
  padding: 12px 25px;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

button:hover {
  opacity: 0.9;
}

#login-message {
  margin-top: 15px;
  border-radius: 0px;
  padding: 10px;
  font-weight: 500;
}

.error-message {
  background-color: #ffebee;
  color: #d32f2f;
}

.success-message {
  background-color: #e8f5e9;
  color: #2e7d32;
}

.loading {
  color: #777;
}

/* Warranty Data Styles */
.warranty-data {
  margin-top: 20px;
}

.warranty-record {
  margin-bottom: 15px;
  background: #efefef;
  padding: 20px;
  border-radius: 3px;
  border: 1px solid #CECECE;
}

.warranty-record:nth-last-child(1) {
  margin-bottom: 0;
}

.warranty-record h3 {
  font-size: 16px;
  margin-bottom: 10px;
  padding-bottom: 10px;
  border-bottom: 1px solid #CECECE;
  color: #000;
}

.warranty-record div {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  column-gap: 15px;
  row-gap: 5px
}

.warranty-record p {
  margin: 5px 0;
  font-size: 14px;
  color: #A0A0A0;
}

.warranty-record p strong {
  color: #000;
  font-weight: 500;
}

.warranty-status {
  padding: 8px;
  margin-bottom: 20px;
  background-color: #e3f2fd;
  border-radius: 0px;
  font-size: 14px;
  display: none !important;
}

/* Register Column Styles */
.register-content {
}

.register-text {
  flex-grow: 1;
  margin-bottom: 30px;
  line-height: 1.6;
  font-size: 16px;
}

.register-button {
  float: right;
}

.register-button, #logout-button,
#login-button {
  align-self: flex-start;
  background-color: #EC6617;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 0px;
  cursor: pointer;
  text-decoration: none;
  font-weight: 400;
  transition: opacity 0.3s ease;
  font-size: 16px;
  width: auto;
  font-family: var(--InstrumentSans);
  font-style: normal;
}

#logout-button {
  margin-top: 20px;
}

.warranty-container-content {
  text-align: center;
  margin-bottom: 40px;
}

/* Responsive Adjustments */
@media (max-width: 768px) {
  .warranty-columns {
    flex-direction: column;
    gap: 30px;
  }
  
  .warranty-column {
    width: 100%;
  }
}

@media (min-width: 768px) {
  .warranty-columns {
    gap: 40px;
    align-items: flex-start;
  }
  .warranty-column:nth-child(1) {
    width: calc(65% - 20px);
  }
  .warranty-column:nth-child(2) {
    width: calc(35% - 20px);
  }
}

.warranty-active {
  background-color: #45AD0E;
  color: white;
  padding: 6px 12px;
  border-radius: 0px;
  font-size: 14px;
  font-weight: 600;
  text-transform: uppercase;
}

.warranty-expired {
  background-color: #9B9B9B;
  color: white;
  padding: 6px 12px;
  border-radius: 0px;
  font-size: 14px;
  font-weight: 600;
  text-transform: uppercase;
}

.warranty-unknown {
  background-color: #f5f5f5;
  color: #757575;
  padding: 6px 12px;
  border-radius: 0px;
  font-size: 14px;
  font-weight: 600;
}